<? require('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
require('konkurs/setup.php');
?>
<span class='top-bl-s-verh'>Конкурсы для рефералов</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
<span style='color:red;'>Выполнение заданий</span> (Кто больше выполнит заданий)<br />
<span style='color:red;'>Выполнение оплачиваемых кликов</span> (Кто больше выполнит оплачиваемых кликов)<br />
<span style='color:red;'>Привлечение рефералов</span> (Кто больше привлечет рефералов)
</td></tr>
</table>

<?if($_POST["status"] == ""){?>

<form action="" method="post">

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead><tr>
<th colspan="2" align="center">Настройки конкурса</th>
</tr></thead><tr>
<td >Тип конкурса:</td>
<td class="value">
<select size="1" name="vid">
  <option style="color:#ddd;">Выберите конкурс</option>
  <option value="1">Выполнение заданий</option>
  <option value="2">Просмотр сайтов в серфинге</option>
  <option value="3">Привлечение рефералов</option>
</select>

</td>
</tr><tr>
<td >Количество призовых мест:</td>
<td class="value">
<input name="mest" type="text" value="1"> - от <?=$con_kon["min_m"]?> до <?=$con_kon["max_m"]?> мест
</td>
</tr><tr>
<td >Время проведения конкурса:</td>
<td class="value">
<input name="time" type="text" value="3"> - от <?=$con_kon["min_d"]?> до <?=$con_kon["max_d"]?> дней
</td>
</tr>
</table><br /><center>
<input name="status" type="hidden" value="1">
<input type="submit" class='button-green' style="height:26px;" value="Продолжить"></center>
</form>
</div>
<?} 

if($_POST["status"] == "1"){
	if(intval($_POST["mest"]) < $con_kon["min_m"] or intval($_POST["mest"]) > $con_kon["max_m"]){
	  echo "<div class=error>Призовых мест не может быть больше ".$con_kon["max_m"]." и менее ".$con_kon["min_m"]." <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

	if(intval($_POST["vid"]) < 1 or intval($_POST["vid"]) > 3){

	  echo "<div class=error>Не выбран тип конкурса <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

	if(intval($_POST["time"]) < $con_kon["min_d"] or intval($_POST["time"]) > $con_kon["max_d"]){

	  echo "<div class=error>Время проведения конкурса не может быть меньше ".$con_kon["min_d"]."-х или больше ".$con_kon["max_d"]."-ти дней <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}?>

<script type="text/javascript" src="js/bbcod.js"></script>
<script>
var procent = <?=$con_kon["procent"]?>;
var min_c = <?=$con_kon["money_min"]?>;
var max_c = <?=$con_kon["money_max"]?>;
var arr = [];

var celoe;
var drob;
var res;
function okrugl(nums)
{
	celoe=Math.floor(nums);
	drob=(nums-celoe)*100;
	drob=Math.floor(drob);
	if(drob>=10)
	{
		res=celoe+'.'+drob;
	}else{
		res=celoe+'.0'+drob;
	}
	return res;
}

function func(){
	var s=0;
    var form=document.getElementById('comment')['priz[]'];

if(form.value != undefined){

   s+= +form.value;

    }else{
    for (var i=0;i<form.length;i++){
      s+= +form[i].value;

    }}

   s_proc = (s*procent)/100;

   if(s > max_c || s < min_c){
   	 document.getElementById('summ').style.color = 'red';

   }else{
     document.getElementById('summ').style.color = 'green';

   }

   document.getElementById('summ').innerHTML =  okrugl(s);
   document.getElementById('s_pr').innerHTML =  okrugl(s+s_proc);
}
</script>

<form id="comment" method="POST" action="" accept-charset="Windows-1251">

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead><tr>
<th colspan="2" align="center">Тип конкурса</th>
</tr></thead><tr>
<td >Тип конкурса:</td>
<td class="value">
<?=$con_kon["vid"][intval($_POST["vid"])]?>
<input name="vid" type="hidden" value="<?=intval($_POST["vid"])?>">
</td>
</tr><tr>
<td >Количество призовых мест:</td>
<td class="value">
<?=intval($_POST["mest"])?>
</td>
</tr><tr>
<td >Время проведения конкурса:</td>
<td class="value">
<?=intval($_POST["time"])?> дня(ей)
<input name="time" type="hidden" value="<?=intval($_POST["time"])?>">
</td>
</tr><tr>
<td >Начало конкурса:</td>
<td class="value">
<select size="1" name="start">

<?
function data($d,$w){
if($w == 0){ $den = "Воскресенье";}
if($w == 1){ $den = "Понедельник";}
if($w == 2){ $den = "Вторник";}
if($w == 3){ $den = "Среда";}
if($w == 4){ $den = "Четверг";}
if($w == 5){ $den = "Пятница";}
if($w == 6){ $den = "Суббота";}

return $d." ".$den;
}
for($i_s=1;$i_s<=7;$i_s++){?>
<option value="<?=$i_s?>"><?=data(date("Y-m-d",time()+($i_s*86400)),date("w",time()+($i_s*86400)))?></option>
<?}?>

</select>
</td>
</tr>
<thead>
<tr>
<th colspan="2" align="center">Призовых мест</th>
</tr></thead>

<?for($i_k=1;$i_k<=intval($_POST["mest"]);$i_k++){?>
<tr>
<td >Приз победителю за <?=$i_k?> место:</td>
<td class="value">
<input name="priz[]" type="text" value="" onkeyup="func()"> руб.
</td>
</tr>
<?}?>

<tr>
<thead>
<th colspan="2" align="center">Сумма</th>
</tr></thead><tr>
<td >Максимальная сумма призового фонда:</td>
<td class="value"><?=$con_kon["money_max"]?> руб.</td>
</tr><tr>
<td >Минимальная сумма призового фонда:</td>
<td class="value"><?=$con_kon["money_min"]?> руб.</td>
</tr><tr>
<td >Призовой фонд:</td>
<td class="value"><span id="summ">0</span> руб.</td>
</tr><tr>
<td >Стоимость конкурса:</td>
<td class="value"><span id="s_pr">0</span> руб.</td>
</tr><thead><tr>
<th colspan="2" align="left">
Текст конкурса:
</th>
</tr></thead>
<tr>
<td colspan="2" align="center" >
<textarea id="comess" name="comment" rows=0 style="width: 100%;height: 150px;"><?=@$text_kon?></textarea>
</td>
</tr>
</table><br /><center>
<input name="status" type="hidden" value="2">
<input type="submit" class='button-green' style="height:26px;" value="Создать конкурс"></center>
</form>

</div>
<?}

if($_POST["status"] == "2"){
  if(isset($_POST["vid"])){
	if(intval($_POST["vid"]) < 1 or intval($_POST["vid"]) > 3){

	  echo "<div class=error>Не выбран тип конкурса <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

	if(intval($_POST["start"]) < 1 or intval($_POST["start"]) > 7){

	  echo "<div class=error>Не правильно указана дата старта<br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

	if(intval($_POST["time"]) < $con_kon["min_d"] or intval($_POST["time"]) > $con_kon["max_d"]){

	  echo "<div class=error>Время проведения конкурса не может быть меньше ".$con_kon["min_d"]."-х или больше ".$con_kon["max_d"]."-ти дней <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

	if($_POST["comment"] == ""){

	  echo "<div class=error>Нет описания к конкурсу <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

	}

$refer_kon=mysql_query("SELECT id FROM still_konkurs_ref WHERE idref='".$duser["id"]."' and vid='".intval($_POST["vid"])."'
 and time_start+(time_end*86400) > '".time()."'");

    if(mysql_num_rows($refer_kon) > 0){

   echo "<div class=error>У Вас уже есть такой конкурс. Дождитесь его окончания</div>";include("footer.php");exit;

    }
$ss = mysql_query("SELECT * FROM `b_users` WHERE `username`='".$_SESSION["username"]."'");
$duser = mysql_fetch_assoc($ss);

    $summ = 0;$mest ="";
    foreach($_POST["priz"] as $name => $value){
      if($value == ""){$value = 0;}
      $price = $value;
      $summ = $summ + $price;
      $mest .= round($value,2).",";

    }

    require_once('bbcode.php');

    $vid_sql = intval($_POST["vid"]);
    $end_sql = intval($_POST["time"]);
    $start_sql = time()+(intval($_POST["start"])*86400);
    $mest_sql = substr($mest, 0, strlen($mest)-1);
    $summ_sql = round($summ,2);


if($summ_sql < $con_kon["money_min"] or $summ_sql > $con_kon["money_max"]){

   echo "<div class=error>Сумма призового фонда не должна быть менее ".$con_kon["money_min"]." и более ".$con_kon["money_max"]." руб.<br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

 }

    $proc_sql = round($summ+($summ_sql*$con_kon["procent"]/100),2);
    $comment_sql = bbcod($_POST["comment"], true, true);

    if($proc_sql > $duser["r_money"] or $proc_sql <= 0){
      echo "<div class=error>На Вашем рекламном счету недостаточно средств для оплаты конкурса <br> <a href=\"#\" onclick=\"history.back();return false;\">Вернуться назад</a></div>";include("footer.php");exit;

    }

    mysql_query("UPDATE b_users SET r_money=r_money-$proc_sql WHERE id='".$duser["id"]."'");

    mysql_query("INSERT INTO still_konkurs_ref (vid, idref, text, time_start, time_end, mesto)
    VALUES('$vid_sql','".$duser["id"]."','$comment_sql','$start_sql','$end_sql','$mest_sql')");

    echo "<br /><span class='taskquestion'><center>Ваш конкурс размещен!</center></span><br />
	<center><a href='/refer_kon.php' class='button-flat-green1'>Назад</a></center><br />
	";

  }
}?>

</div>

<? require 'footer.php'; ?>